# Continuum using JavaScript, Jasmine, Protractor, and Chrome

This is a sample Continuum 6.4.0 project that tests www.angularjs.org for accessibility concerns using JavaScript, specifically Jasmine and Protractor using the Google Chrome web driver.

The `spec/e2e/example_app_spec.js` file shows how to use Continuum. Generally speaking, it does the following:
1. Converts Access Engine into an injectable format.
2. Injects Access Engine into the page when tests are run.
3. Collects results via a JavaScript Promise.

## Prerequisites
* Node
* Google Chrome

## Installation
1. Install dependencies:

        npm install

## Usage
1. (Optional) Update web drivers:

        node node_modules/protractor/bin/webdriver-manager update

2. Run accessibility tests:

        node node_modules/protractor/bin/protractor ./protractor.conf.js

## Support
Rich API documentation for all the functionality supported out of the box with our Continuum JavaScript SDK, which this sample project uses, can be found [here](https://tools.levelaccess.net/continuum/docs/latest/jsdoc/index.html).

Questions can be emailed to Level Access support at support@levelaccess.com.
